Skip to main content
DELETE
/
v1
/
ai
/
eval
/
prompt-sets
/
{promptSetId}
Archive an eval prompt set
curl --request DELETE \
  --url https://{instance}.omniapp.co/api/v1/ai/eval/prompt-sets/{promptSetId} \
  --header 'Authorization: Bearer <token>'
{
  "cancelled_job_count": 0,
  "is_archived": true
}

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

promptSetId
string<uuid>
required

The unique identifier of the eval prompt set.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Prompt set archived successfully.

cancelled_job_count
integer
required

Number of in-flight agentic jobs associated with this prompt set that were cancelled as part of the archive.

Example:

0

is_archived
enum<boolean>
required

Always true on success — archives the prompt set.

Available options:
true